---
name: Sean McGivern
locality: Edinburgh, Scotland
country: United Kingdom
role: <a href="/job-families/engineering/backend-engineer/">Staff Backend Engineer</a>,
  Scalability
reports_to: rachel-nienaber
picture: smcgivern.jpg
gitlab: smcgivern
pronouns: he/him
departments:
- Engineering Function
- Infrastructure Department
- Platform Subdepartment
- Scalability Team
projects:
  gitlab: maintainer backend
  version-gitlab-com: maintainer backend
  grape-path-helpers: maintainer
  tanuki_emoji: maintainer
  gitlab-technical-interviews-backend: maintainer
expertise: '<li><a href="https://docs.gitlab.com/ee/user/project/merge_requests/resolve_conflicts.html">Merge
  conflict</a> <a href="/company/team/structure/#expert">expert</a></li>

  '
story: |
  Sean likes writing code, and especially likes writing code that helps other
  people write code. Despite dabbling with other editors, he's been unable to
  break his Emacs habit. He lives in Scotland, and spends his free time playing
  sports, overthinking films, and failing to maintain his garden.
specialty: Plan

